| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/csapplicationframework.h File Reference

Application framework class. More...

`#include "csextern.h"`
`#include "cstool/initapp.h"`
`#include "ivaria/reporter.h"`

Go to the source code of this file.

## Classes
class | csApplicationFramework
| Application framework class. More...
class | csApplicationRunner< T >
| Helper template to run a csApplicationFramework-derived application class. More...

## Detailed Description

Application framework class.

Definition in file csapplicationframework.h.